Loading...
Searching...
No Matches
Logger::LoggerAppenderStdOut Class Reference

Implements appender writing to a stdout file. More...

## Public Member Functions

| constructor (*string name, LoggerLayout layout)
| Creates the object.
| processEventImpl (int type, auto params)
| Processes log events with the file and ignores all other events including open, close.

## Detailed Description

Implements appender writing to a stdout file.

No multi-threading protection is implemented in the class; the stdout instance is reused. Unavailable when Qore::PO_NO_TERMINAL_IO parse option is applied.

## Member Function Documentation

## constructor()

Logger::LoggerAppenderStdOut::constructor | ( | *string | name,
|  | LoggerLayout | layout )

Creates the object.

Parameters

  name | the name of the appender
  layout | the layout for the appender

## processEventImpl()

Logger::LoggerAppenderStdOut::processEventImpl | ( | int | type,
|  | auto | params )

Processes log events with the file and ignores all other events including open, close.

Parameters

  type | the event type
  params | parameters for the event